<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>nl.naturalis.nba</groupId>
    <artifactId>nba-motherpom</artifactId>
    <version>2.30-SNAPSHOT</version>
  </parent>

  <artifactId>nl.naturalis.nba.rest</artifactId>
  <name>NBA REST layer</name>
  <description>Defines the REST API of the NBA</description>

  <packaging>war</packaging>

  <properties>
    <main.basedir>${project.parent.basedir}</main.basedir>
  </properties>

  <dependencies>

    <dependency>
      <groupId>nl.naturalis.nba</groupId>
      <artifactId>nl.naturalis.nba.api</artifactId>
      <version>2.30-SNAPSHOT</version>
    </dependency>

    <dependency>
      <groupId>nl.naturalis.nba</groupId>
      <artifactId>nl.naturalis.nba.utils</artifactId>
      <version>2.30-SNAPSHOT</version>
    </dependency>

    <dependency>
      <groupId>nl.naturalis.nba</groupId>
      <artifactId>nl.naturalis.nba.common</artifactId>
      <version>2.30-SNAPSHOT</version>
    </dependency>

    <dependency>
      <groupId>nl.naturalis.nba</groupId>
      <artifactId>nl.naturalis.nba.dao</artifactId>
      <version>2.30-SNAPSHOT</version>
    </dependency>

    <dependency>
      <groupId>nl.naturalis.log</groupId>
      <artifactId>naturalis-log-utils</artifactId>
    </dependency>

    <dependency>
      <groupId>nl.naturalis.common</groupId>
      <artifactId>naturalis-common</artifactId>
    </dependency>

    <dependency>
      <groupId>org.apache.httpcomponents</groupId>
      <artifactId>httpclient</artifactId>
    </dependency>
    
    <dependency>
      <groupId>org.apache.httpcomponents</groupId>
      <artifactId>httpcore</artifactId>
    </dependency>

    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-api</artifactId>
    </dependency>

    <dependency>
      <groupId>javax.enterprise</groupId>
      <artifactId>cdi-api</artifactId>
    </dependency>

    <dependency>
      <groupId>javax.ws.rs</groupId>
      <artifactId>javax.ws.rs-api</artifactId>
    </dependency>

    <dependency>
      <groupId>javax.ejb</groupId>
      <artifactId>javax.ejb-api</artifactId>
    </dependency>

    <dependency>
      <groupId>com.fasterxml.jackson.core</groupId>
      <artifactId>jackson-databind</artifactId>
    </dependency>

    <dependency>
      <groupId>de.grundid.opendatalab</groupId>
      <artifactId>geojson-jackson</artifactId>
    </dependency>

    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-text</artifactId>
    </dependency>

    <dependency>
      <groupId>org.reflections</groupId>
      <artifactId>reflections</artifactId>
    </dependency>

    <dependency>
      <groupId>io.swagger</groupId>
      <artifactId>swagger-jaxrs</artifactId>
    </dependency>

    <dependency>
      <groupId>io.swagger</groupId>
      <artifactId>swagger-models</artifactId>
    </dependency>

    <dependency>
      <groupId>io.swagger</groupId>
      <artifactId>swagger-annotations</artifactId>
    </dependency>

    <!-- TEST -->
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <scope>test</scope>
    </dependency>

    <dependency>
      <groupId>org.mockito</groupId>
      <artifactId>mockito-core</artifactId>
      <scope>test</scope>
    </dependency>

    <!-- PROVIDED -->
    <dependency>
      <groupId>org.jboss.resteasy</groupId>
      <artifactId>resteasy-jaxrs</artifactId>
      <scope>provided</scope>
    </dependency>

  </dependencies>

  <build>
    <plugins>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>exec-maven-plugin</artifactId>
        <executions>
          <execution>
            <id>generate-git-properties</id>
            <phase>generate-resources</phase>
            <goals>
              <goal>exec</goal>
            </goals>
            <configuration>
              <executable>${project.basedir}/git-info.sh</executable>
              <arguments>
                <argument>${project.basedir}</argument>
              </arguments>
            </configuration>
          </execution>
          <execution>
            <id>copy-nba-properties</id>
            <phase>install</phase>
            <goals>
              <goal>exec</goal>
            </goals>
            <configuration>
              <executable>cp</executable>
              <arguments>
                <argument>${main.basedir}/nba.properties</argument>
                <!--suppress UnresolvedMavenProperty -->
                <!-- property is defined in: nba.properties -->
                <argument>${nba.api.install.dir}</argument>
              </arguments>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>

</project>